#include <QApplication>
#include <QTextCodec>

#include "frame/LoginWindowForm.h"
#include "utils/AppInit.h"

int main(int argc, char *argv[])
{
    QApplication::setAttribute(Qt::AA_EnableHighDpiScaling); // 启用自动缩放
    QApplication::setAttribute(Qt::AA_UseHighDpiPixmaps);    // 高清图标支持

    QTextCodec::setCodecForLocale(QTextCodec::codecForName("UTF-8"));

    QApplication a(argc, argv);
    AppInit::Instance()->start();

    LoginWindowForm form;
    form.show();

    return a.exec();
}
